net.minecraft.client.renderer.entity

## Class RenderLightningBolt

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RenderLightningBolt

-     public class RenderLightningBolt
      extends Render

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderLightningBolt()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Actually renders the given argument.
    `void` | `doRenderLightningBolt(EntityLightningBolt par1EntityLightningBolt, double par2, double par4, double par6, float par8, float par9)` Actually renders the lightning bolt.

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `doRenderShadowAndFire, getFontRendererFromRenderManager, renderAABB, renderOffsetAABB, setRenderManager`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderLightningBolt

          public RenderLightningBolt()

  - ### Method Detail

    - #### doRenderLightningBolt

          public void doRenderLightningBolt(EntityLightningBolt par1EntityLightningBolt,
                                   double par2,
                                   double par4,
                                   double par6,
                                   float par8,
                                   float par9)

      Actually renders the lightning bolt. This method is called through the doRender method.

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render
      Specified by:
        `doRender` in class `Render`